# you can implement
# https://github.com/prometheus/prometheus/issues/2193#issuecomment-289424562
# but
# https://github.com/prometheus/prometheus/issues/2193#issuecomment-313118741
# so wait v2
# https://github.com/prometheus/prometheus/issues/1583
# https://github.com/prometheus/prometheus/pull/2948
# some other issues
# https://github.com/prometheus/prometheus/issues/1191
# https://github.com/prometheus/prometheus/issues/519
# https://github.com/prometheus/prometheus/pull/614 Make all URLs absolute to support proxies


#  location /prometheus {
    # landing page directory
#    proxy_pass http://<%= node['prometheus']['flags']['web.listen-address'] %>;

#    auth_basic "Prometheus";
#    auth_basic_user_file <%= node['prometheus']['htpasswd'] %>;
#  }

#  location /prometheus/monitoring {
#    proxy_pass http://<%= node['prometheus']['flags']['web.listen-address'] %>;

#    auth_basic "Prometheus";
#    auth_basic_user_file <%= node['prometheus']['htpasswd'] %>;
#  }

#  location /prometheus/alertmanager {
#    proxy_pass http://localhost:9191;

#    auth_basic "Prometheus";
#    auth_basic_user_file <%= node['prometheus']['htpasswd'] %>;
#  }

  location /system/monitor {
      return 301 /system/monitor/;
  }

  location ~ /system/monitor/(?<ndpath>.*) {
      auth_basic "SYSTEM";
      auth_basic_user_file <%= node['project']['system']['htpasswd'] %>;
      proxy_redirect off;
      proxy_set_header Host $host;
      proxy_set_header X-Forwarded-Host $host;
      proxy_set_header X-Forwarded-Server $host;
      proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
      proxy_http_version 1.1;
      proxy_pass_request_headers on;
      proxy_set_header Connection "keep-alive";
      proxy_store off;
      proxy_pass http://netdata/$ndpath$is_args$args;
      gzip on;
      gzip_proxied any;
      gzip_types *;
    }
